<?php
$nuts_woocommerce_sc = nuts_get_theme_option( 'front_page_woocommerce_products' );
if ( ! empty( $nuts_woocommerce_sc ) ) {
	?><div class="front_page_section front_page_section_woocommerce<?php
		$nuts_scheme = nuts_get_theme_option( 'front_page_woocommerce_scheme' );
		if ( ! empty( $nuts_scheme ) && ! nuts_is_inherit( $nuts_scheme ) ) {
			echo ' scheme_' . esc_attr( $nuts_scheme );
		}
		echo ' front_page_section_paddings_' . esc_attr( nuts_get_theme_option( 'front_page_woocommerce_paddings' ) );
		if ( nuts_get_theme_option( 'front_page_woocommerce_stack' ) ) {
			echo ' sc_stack_section_on';
		}
	?>"
			<?php
			$nuts_css      = '';
			$nuts_bg_image = nuts_get_theme_option( 'front_page_woocommerce_bg_image' );
			if ( ! empty( $nuts_bg_image ) ) {
				$nuts_css .= 'background-image: url(' . esc_url( nuts_get_attachment_url( $nuts_bg_image ) ) . ');';
			}
			if ( ! empty( $nuts_css ) ) {
				echo ' style="' . esc_attr( $nuts_css ) . '"';
			}
			?>
	>
	<?php
		// Add anchor
		$nuts_anchor_icon = nuts_get_theme_option( 'front_page_woocommerce_anchor_icon' );
		$nuts_anchor_text = nuts_get_theme_option( 'front_page_woocommerce_anchor_text' );
		if ( ( ! empty( $nuts_anchor_icon ) || ! empty( $nuts_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
			echo do_shortcode(
				'[trx_sc_anchor id="front_page_section_woocommerce"'
											. ( ! empty( $nuts_anchor_icon ) ? ' icon="' . esc_attr( $nuts_anchor_icon ) . '"' : '' )
											. ( ! empty( $nuts_anchor_text ) ? ' title="' . esc_attr( $nuts_anchor_text ) . '"' : '' )
											. ']'
			);
		}
	?>
		<div class="front_page_section_inner front_page_section_woocommerce_inner
			<?php
			if ( nuts_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
				echo ' nuts-full-height sc_layouts_flex sc_layouts_columns_middle';
			}
			?>
				"
				<?php
				$nuts_css      = '';
				$nuts_bg_mask  = nuts_get_theme_option( 'front_page_woocommerce_bg_mask' );
				$nuts_bg_color_type = nuts_get_theme_option( 'front_page_woocommerce_bg_color_type' );
				if ( 'custom' == $nuts_bg_color_type ) {
					$nuts_bg_color = nuts_get_theme_option( 'front_page_woocommerce_bg_color' );
				} elseif ( 'scheme_bg_color' == $nuts_bg_color_type ) {
					$nuts_bg_color = nuts_get_scheme_color( 'bg_color', $nuts_scheme );
				} else {
					$nuts_bg_color = '';
				}
				if ( ! empty( $nuts_bg_color ) && $nuts_bg_mask > 0 ) {
					$nuts_css .= 'background-color: ' . esc_attr(
						1 == $nuts_bg_mask ? $nuts_bg_color : nuts_hex2rgba( $nuts_bg_color, $nuts_bg_mask )
					) . ';';
				}
				if ( ! empty( $nuts_css ) ) {
					echo ' style="' . esc_attr( $nuts_css ) . '"';
				}
				?>
		>
			<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
				<?php
				// Content wrap with title and description
				$nuts_caption     = nuts_get_theme_option( 'front_page_woocommerce_caption' );
				$nuts_description = nuts_get_theme_option( 'front_page_woocommerce_description' );
				if ( ! empty( $nuts_caption ) || ! empty( $nuts_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					// Caption
					if ( ! empty( $nuts_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $nuts_caption ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( $nuts_caption, 'nuts_kses_content' );
						?>
						</h2>
						<?php
					}

					// Description (text)
					if ( ! empty( $nuts_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $nuts_description ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( wpautop( $nuts_description ), 'nuts_kses_content' );
						?>
						</div>
						<?php
					}
				}

				// Content (widgets)
				?>
				<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
					<?php
					if ( 'products' == $nuts_woocommerce_sc ) {
						$nuts_woocommerce_sc_ids      = nuts_get_theme_option( 'front_page_woocommerce_products_per_page' );
						$nuts_woocommerce_sc_per_page = count( explode( ',', $nuts_woocommerce_sc_ids ) );
					} else {
						$nuts_woocommerce_sc_per_page = max( 1, (int) nuts_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
					}
					$nuts_woocommerce_sc_columns = max( 1, min( $nuts_woocommerce_sc_per_page, (int) nuts_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
					echo do_shortcode(
						"[{$nuts_woocommerce_sc}"
										. ( 'products' == $nuts_woocommerce_sc
												? ' ids="' . esc_attr( $nuts_woocommerce_sc_ids ) . '"'
												: '' )
										. ( 'product_category' == $nuts_woocommerce_sc
												? ' category="' . esc_attr( nuts_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
												: '' )
										. ( 'best_selling_products' != $nuts_woocommerce_sc
												? ' orderby="' . esc_attr( nuts_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
													. ' order="' . esc_attr( nuts_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
												: '' )
										. ' per_page="' . esc_attr( $nuts_woocommerce_sc_per_page ) . '"'
										. ' columns="' . esc_attr( $nuts_woocommerce_sc_columns ) . '"'
						. ']'
					);
					?>
				</div>
			</div>
		</div>
	</div>
	<?php
}
