<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package NUTS
 * @since NUTS 1.0.50
 */

$nuts_template_args = get_query_var( 'nuts_template_args' );
if ( is_array( $nuts_template_args ) ) {
	$nuts_columns    = empty( $nuts_template_args['columns'] ) ? 2 : max( 1, $nuts_template_args['columns'] );
	$nuts_blog_style = array( $nuts_template_args['type'], $nuts_columns );
} else {
	$nuts_template_args = array();
	$nuts_blog_style = explode( '_', nuts_get_theme_option( 'blog_style' ) );
	$nuts_columns    = empty( $nuts_blog_style[1] ) ? 2 : max( 1, $nuts_blog_style[1] );
}
$nuts_blog_id       = nuts_get_custom_blog_id( join( '_', $nuts_blog_style ) );
$nuts_blog_style[0] = str_replace( 'blog-custom-', '', $nuts_blog_style[0] );
$nuts_expanded      = ! nuts_sidebar_present() && nuts_get_theme_option( 'expand_content' ) == 'expand';
$nuts_components    = ! empty( $nuts_template_args['meta_parts'] )
							? ( is_array( $nuts_template_args['meta_parts'] )
								? join( ',', $nuts_template_args['meta_parts'] )
								: $nuts_template_args['meta_parts']
								)
							: nuts_array_get_keys_by_value( nuts_get_theme_option( 'meta_parts' ) );
$nuts_post_format   = get_post_format();
$nuts_post_format   = empty( $nuts_post_format ) ? 'standard' : str_replace( 'post-format-', '', $nuts_post_format );

$nuts_blog_meta     = nuts_get_custom_layout_meta( $nuts_blog_id );
$nuts_custom_style  = ! empty( $nuts_blog_meta['scripts_required'] ) ? $nuts_blog_meta['scripts_required'] : 'none';

if ( ! empty( $nuts_template_args['slider'] ) || $nuts_columns > 1 || ! nuts_is_off( $nuts_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $nuts_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo esc_attr( ( nuts_is_off( $nuts_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $nuts_custom_style ) ) . "-1_{$nuts_columns}" );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_item_container post_format_' . esc_attr( $nuts_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $nuts_columns )
					. ' post_layout_' . esc_attr( $nuts_blog_style[0] )
					. ' post_layout_' . esc_attr( $nuts_blog_style[0] ) . '_' . esc_attr( $nuts_columns )
					. ( ! nuts_is_off( $nuts_custom_style )
						? ' post_layout_' . esc_attr( $nuts_custom_style )
							. ' post_layout_' . esc_attr( $nuts_custom_style ) . '_' . esc_attr( $nuts_columns )
						: ''
						)
		);
	nuts_add_blog_animation( $nuts_template_args );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'nuts_action_show_layout', $nuts_blog_id, get_the_ID() );
	?>
</article><?php
if ( ! empty( $nuts_template_args['slider'] ) || $nuts_columns > 1 || ! nuts_is_off( $nuts_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
