<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package NUTS
 * @since NUTS 1.0
 */

$nuts_template_args = get_query_var( 'nuts_template_args' );
if ( is_array( $nuts_template_args ) ) {
	$nuts_columns    = empty( $nuts_template_args['columns'] ) ? 2 : max( 1, $nuts_template_args['columns'] );
	$nuts_blog_style = array( $nuts_template_args['type'], $nuts_columns );
    $nuts_columns_class = nuts_get_column_class( 1, $nuts_columns, ! empty( $nuts_template_args['columns_tablet']) ? $nuts_template_args['columns_tablet'] : '', ! empty($nuts_template_args['columns_mobile']) ? $nuts_template_args['columns_mobile'] : '' );
} else {
	$nuts_template_args = array();
	$nuts_blog_style = explode( '_', nuts_get_theme_option( 'blog_style' ) );
	$nuts_columns    = empty( $nuts_blog_style[1] ) ? 2 : max( 1, $nuts_blog_style[1] );
    $nuts_columns_class = nuts_get_column_class( 1, $nuts_columns );
}

$nuts_post_format = get_post_format();
$nuts_post_format = empty( $nuts_post_format ) ? 'standard' : str_replace( 'post-format-', '', $nuts_post_format );

?><div class="
<?php
if ( ! empty( $nuts_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo ( nuts_is_blog_style_use_masonry( $nuts_blog_style[0] ) ? 'masonry_item masonry_item-1_' . esc_attr( $nuts_columns ) : esc_attr( $nuts_columns_class ));
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_item_container post_format_' . esc_attr( $nuts_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $nuts_columns )
		. ( 'portfolio' != $nuts_blog_style[0] ? ' ' . esc_attr( $nuts_blog_style[0] )  . '_' . esc_attr( $nuts_columns ) : '' )
	);
	nuts_add_blog_animation( $nuts_template_args );
	?>
>
<?php

	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}

	$nuts_hover   = ! empty( $nuts_template_args['hover'] ) && ! nuts_is_inherit( $nuts_template_args['hover'] )
								? $nuts_template_args['hover']
								: nuts_get_theme_option( 'image_hover' );

	if ( 'dots' == $nuts_hover ) {
		$nuts_post_link = empty( $nuts_template_args['no_links'] )
								? ( ! empty( $nuts_template_args['link'] )
									? $nuts_template_args['link']
									: get_permalink()
									)
								: '';
		$nuts_target    = ! empty( $nuts_post_link ) && false === strpos( $nuts_post_link, home_url() )
								? ' target="_blank" rel="nofollow"'
								: '';
	}
	
	// Meta parts
	$nuts_components = ! empty( $nuts_template_args['meta_parts'] )
							? ( is_array( $nuts_template_args['meta_parts'] )
								? $nuts_template_args['meta_parts']
								: explode( ',', $nuts_template_args['meta_parts'] )
								)
							: nuts_array_get_keys_by_value( nuts_get_theme_option( 'meta_parts' ) );

	// Featured image
	nuts_show_post_featured( apply_filters( 'nuts_filter_args_featured',
        array(
			'hover'         => $nuts_hover,
			'no_links'      => ! empty( $nuts_template_args['no_links'] ),
			'thumb_size'    => ! empty( $nuts_template_args['thumb_size'] )
								? $nuts_template_args['thumb_size']
								: nuts_get_thumb_size(
									nuts_is_blog_style_use_masonry( $nuts_blog_style[0] )
										? (	strpos( nuts_get_theme_option( 'body_style' ), 'full' ) !== false || $nuts_columns < 3
											? 'masonry-big'
											: 'masonry'
											)
										: (	strpos( nuts_get_theme_option( 'body_style' ), 'full' ) !== false || $nuts_columns < 3
											? 'square'
											: 'square'
											)
								),
			'thumb_bg' => nuts_is_blog_style_use_masonry( $nuts_blog_style[0] ) ? false : true,
			'show_no_image' => true,
			'meta_parts'    => $nuts_components,
			'class'         => 'dots' == $nuts_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $nuts_hover
										? '<div class="post_info"><h5 class="post_title">'
											. ( ! empty( $nuts_post_link )
												? '<a href="' . esc_url( $nuts_post_link ) . '"' . ( ! empty( $target ) ? $target : '' ) . '>'
												: ''
												)
												. esc_html( get_the_title() ) 
											. ( ! empty( $nuts_post_link )
												? '</a>'
												: ''
												)
											. '</h5></div>'
										: '',
            'thumb_ratio'   => 'info' == $nuts_hover ?  '100:102' : '',
        ),
        'content-portfolio',
        $nuts_template_args
    ) );
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!