<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package NUTS
 * @since NUTS 1.0.10
 */

// Footer sidebar
$nuts_footer_name    = nuts_get_theme_option( 'footer_widgets' );
$nuts_footer_present = ! nuts_is_off( $nuts_footer_name ) && is_active_sidebar( $nuts_footer_name );
if ( $nuts_footer_present ) {
	nuts_storage_set( 'current_sidebar', 'footer' );
	$nuts_footer_wide = nuts_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $nuts_footer_name ) ) {
		dynamic_sidebar( $nuts_footer_name );
	}
	$nuts_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $nuts_out ) ) {
		$nuts_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $nuts_out );
		$nuts_need_columns = true;   //or check: strpos($nuts_out, 'columns_wrap')===false;
		if ( $nuts_need_columns ) {
			$nuts_columns = max( 0, (int) nuts_get_theme_option( 'footer_columns' ) );			
			if ( 0 == $nuts_columns ) {
				$nuts_columns = min( 4, max( 1, nuts_tags_count( $nuts_out, 'aside' ) ) );
			}
			if ( $nuts_columns > 1 ) {
				$nuts_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $nuts_columns ) . ' widget', $nuts_out );
			} else {
				$nuts_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $nuts_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<?php do_action( 'nuts_action_before_sidebar_wrap', 'footer' ); ?>
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $nuts_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $nuts_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'nuts_action_before_sidebar', 'footer' );
				nuts_show_layout( $nuts_out );
				do_action( 'nuts_action_after_sidebar', 'footer' );
				if ( $nuts_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $nuts_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
			<?php do_action( 'nuts_action_after_sidebar_wrap', 'footer' ); ?>
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
