<?php
/**
 * The template to display default site header
 *
 * @package NUTS
 * @since NUTS 1.0
 */

$nuts_header_css   = '';
$nuts_header_image = get_header_image();
$nuts_header_video = nuts_get_header_video();
if ( ! empty( $nuts_header_image ) && nuts_trx_addons_featured_image_override( is_singular() || nuts_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$nuts_header_image = nuts_get_current_mode_image( $nuts_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $nuts_header_image ) || ! empty( $nuts_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $nuts_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $nuts_header_image ) {
		echo ' ' . esc_attr( nuts_add_inline_css_class( 'background-image: url(' . esc_url( $nuts_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	if ( nuts_is_on( nuts_get_theme_option( 'header_fullheight' ) ) ) {
		echo ' header_fullheight nuts-full-height';
	}
	$nuts_header_scheme = nuts_get_theme_option( 'header_scheme' );
	if ( ! empty( $nuts_header_scheme ) && ! nuts_is_inherit( $nuts_header_scheme  ) ) {
		echo ' scheme_' . esc_attr( $nuts_header_scheme );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $nuts_header_video ) ) {
		get_template_part( apply_filters( 'nuts_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	get_template_part( apply_filters( 'nuts_filter_get_template_part', 'templates/header-navi' ) );

	// Mobile header
	if ( nuts_is_on( nuts_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'nuts_filter_get_template_part', 'templates/header-mobile' ) );
	}

	// Page title and breadcrumbs area
	if ( ! is_single() ) {
		get_template_part( apply_filters( 'nuts_filter_get_template_part', 'templates/header-title' ) );
	}

	// Header widgets area
	get_template_part( apply_filters( 'nuts_filter_get_template_part', 'templates/header-widgets' ) );
	?>
</header>
