<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package NUTS
 * @since NUTS 1.0
 */

$nuts_args = get_query_var( 'nuts_logo_args' );

// Site logo
$nuts_logo_type   = isset( $nuts_args['type'] ) ? $nuts_args['type'] : '';
$nuts_logo_image  = nuts_get_logo_image( $nuts_logo_type );
$nuts_logo_text   = nuts_is_on( nuts_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$nuts_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $nuts_logo_image['logo'] ) || ! empty( $nuts_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $nuts_logo_image['logo'] ) ) {
			if ( empty( $nuts_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric($nuts_logo_image['logo']) && (int) $nuts_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$nuts_attr = nuts_getimagesize( $nuts_logo_image['logo'] );
				echo '<img src="' . esc_url( $nuts_logo_image['logo'] ) . '"'
						. ( ! empty( $nuts_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $nuts_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $nuts_logo_text ) . '"'
						. ( ! empty( $nuts_attr[3] ) ? ' ' . wp_kses_data( $nuts_attr[3] ) : '' )
						. '>';
			}
		} else {
			nuts_show_layout( nuts_prepare_macros( $nuts_logo_text ), '<span class="logo_text">', '</span>' );
			nuts_show_layout( nuts_prepare_macros( $nuts_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
