<?php
/**
 * The template to display Admin notices
 *
 * @package NUTS
 * @since NUTS 1.0.64
 */

$nuts_skins_url  = get_admin_url( null, 'admin.php?page=trx_addons_theme_panel#trx_addons_theme_panel_section_skins' );
$nuts_skins_args = get_query_var( 'nuts_skins_notice_args' );
?>
<div class="nuts_admin_notice nuts_skins_notice notice notice-info is-dismissible" data-notice="skins">
	<?php
	// Theme image
	$nuts_theme_img = nuts_get_file_url( 'screenshot.jpg' );
	if ( '' != $nuts_theme_img ) {
		?>
		<div class="nuts_notice_image"><img src="<?php echo esc_url( $nuts_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'nuts' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="nuts_notice_title">
		<?php esc_html_e( 'New skins are available', 'nuts' ); ?>
	</h3>
	<?php

	// Description
	$nuts_total      = $nuts_skins_args['update'];	// Store value to the separate variable to avoid warnings from ThemeCheck plugin!
	$nuts_skins_msg  = $nuts_total > 0
							// Translators: Add new skins number
							? '<strong>' . sprintf( _n( '%d new version', '%d new versions', $nuts_total, 'nuts' ), $nuts_total ) . '</strong>'
							: '';
	$nuts_total      = $nuts_skins_args['free'];
	$nuts_skins_msg .= $nuts_total > 0
							? ( ! empty( $nuts_skins_msg ) ? ' ' . esc_html__( 'and', 'nuts' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d free skin', '%d free skins', $nuts_total, 'nuts' ), $nuts_total ) . '</strong>'
							: '';
	$nuts_total      = $nuts_skins_args['pay'];
	$nuts_skins_msg .= $nuts_skins_args['pay'] > 0
							? ( ! empty( $nuts_skins_msg ) ? ' ' . esc_html__( 'and', 'nuts' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d paid skin', '%d paid skins', $nuts_total, 'nuts' ), $nuts_total ) . '</strong>'
							: '';
	?>
	<div class="nuts_notice_text">
		<p>
			<?php
			// Translators: Add new skins info
			echo wp_kses_data( sprintf( __( "We are pleased to announce that %s are available for your theme", 'nuts' ), $nuts_skins_msg ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="nuts_notice_buttons">
		<?php
		// Link to the theme dashboard page
		?>
		<a href="<?php echo esc_url( $nuts_skins_url ); ?>" class="button button-primary"><i class="dashicons dashicons-update"></i> 
			<?php
			// Translators: Add theme name
			esc_html_e( 'Go to Skins manager', 'nuts' );
			?>
		</a>
	</div>
</div>
